AlignMTB (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.photo

## Class AlignMTB

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.AlignExposures
    - - org.opencv.photo.AlignMTB

-     public class AlignMTB
      extends AlignExposures

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AlignMTB(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlignMTB` | `__fromPtr__(long addr)`
    `Point` | `calculateShift(Mat img0, Mat img1)`
    `void` | `computeBitmaps(Mat img, Mat tb, Mat eb)`
    `protected void` | `finalize()`
    `boolean` | `getCut()`
    `int` | `getExcludeRange()`
    `int` | `getMaxBits()`
    `void` | `process(java.util.List<Mat> src, java.util.List<Mat> dst)`
    `void` | `process(java.util.List<Mat> src, java.util.List<Mat> dst, Mat times, Mat response)`
    `void` | `setCut(boolean value)`
    `void` | `setExcludeRange(int exclude_range)`
    `void` | `setMaxBits(int max_bits)`
    `void` | `shiftMat(Mat src, Mat dst, Point shift)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlignMTB

          protected AlignMTB(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AlignMTB __fromPtr__(long addr)

    - #### calculateShift

          public Point calculateShift(Mat img0,
                                      Mat img1)

    - #### getCut

          public boolean getCut()

    - #### getExcludeRange

          public int getExcludeRange()

    - #### getMaxBits

          public int getMaxBits()

    - #### computeBitmaps

          public void computeBitmaps(Mat img,
                                     Mat tb,
                                     Mat eb)

    - #### process

          public void process(java.util.List<Mat> src,
                              java.util.List<Mat> dst,
                              Mat times,
                              Mat response)

      Overrides:
        `process` in class `AlignExposures`

    - #### process

          public void process(java.util.List<Mat> src,
                              java.util.List<Mat> dst)

    - #### setCut

          public void setCut(boolean value)

    - #### setExcludeRange

          public void setExcludeRange(int exclude_range)

    - #### setMaxBits

          public void setMaxBits(int max_bits)

    - #### shiftMat

          public void shiftMat(Mat src,
                               Mat dst,
                               Point shift)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `AlignExposures`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown